%global git_commit 1abf7033a9753624309770d5fa54cf891477da08
%global git_date 20160712

%global git_short_commit %(c=%{git_commit}; echo ${c:0:8})
%global git_suffix %{git_date}git%{git_short_commit}

Name:		hidrd
Version:	0.2.0
Release:	3.%{git_suffix}%{?dist}
Summary:	HID report descriptor I/O library and conversion tool
License:	GPLv2+
URL:		https://github.com/DIGImend/hidrd
Source0:	https://github.com/DIGImend/hidrd/archive/%{git_commit}.tar.gz#/%{name}-%{version}-%{git_suffix}.tar.gz
BuildRequires:	gcc, make, automake, autoconf, libtool, libxml2-devel

%package devel
Summary:	Development files needed for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%description
Hidrd is a library and a tool for reading, writing and converting HID report
descriptors in/between various formats.

%prep
%autosetup -n %{name}-%{git_commit}
./bootstrap

%build
%configure
# fix unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build

%check
make check

%install
%make_install
# remove .a/.la files
rm -vf %{buildroot}%{_libdir}/*.{a,la}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc NEWS README.md
%{_bindir}/hidrd-convert
%{_libdir}/lib%{name}*.so.*
%{_datadir}/xml

%files devel
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}

%changelog
* Wed Jul 20 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.0-3.20160712git1abf7033
- Fixed unused-direct-shlib-dependency

* Tue Jul 19 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.0-2.20160712git1abf7033
- Fixed according to Fedora review

* Tue Jul 12 2016 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.0-1.20160712git1abf7033
- Initial version
